summaryrefslogtreecommitdiff
path: root/t/nodep2.sh
diff options
context:
space:
mode:
authorMathieu Lirzin <mthl@gnu.org>2017-09-20 00:08:59 +0200
committerMathieu Lirzin <mthl@gnu.org>2017-09-20 00:08:59 +0200
commit7508174f4a6c19eeda89a7e18b8d1398fe85ccf0 (patch)
tree2938ba28267cfc6d6cba0b763f80e4b32ce49b03 /t/nodep2.sh
parentc2757b974cb4c182333859edb45a01194550bc0e (diff)
parentced195a8556b68eab3dd0887e07a97c6ae4917bf (diff)
downloadautomake-7508174f4a6c19eeda89a7e18b8d1398fe85ccf0.tar.gz
Merge branch 'minor'
Diffstat (limited to 't/nodep2.sh')
-rw-r--r--t/nodep2.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/t/nodep2.sh b/t/nodep2.sh
new file mode 100644
index 000000000..030e8865b
--- /dev/null
+++ b/t/nodep2.sh
@@ -0,0 +1,45 @@
+#! /bin/sh
+# Copyright (C) 2006-2017 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+# Another test to make sure no-dependencies option does the right thing.
+
+. test-init.sh
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = foo
+foo_SOURCES = a.c b.cpp c.m cxx.mm d.S e.java f.upc
+END
+
+cat > configure.ac << 'END'
+AC_INIT([nodep2], [1], [bug-automake@gnu.org])
+AM_INIT_AUTOMAKE([no-dependencies])
+AC_CONFIG_FILES([Makefile])
+AC_PROG_CC
+AC_PROG_CXX
+AC_PROG_OBJC
+AC_PROG_OBJCXX
+AM_PROG_AS
+AM_PROG_GCJ
+AM_PROG_UPC
+AC_OUTPUT
+END
+
+$ACLOCAL
+$AUTOMAKE
+
+grep DEPMODE Makefile.in && exit 1
+
+: